:root {
  --body-color: #e4e9f7;
  --sidebar-color: #fff;
  --primary-color: #32438e;
  --secondary-color: #ffc904;
  --primary-color-light: #f6f5ff;
  --toggle-color: #ddd;
  --text-color: #707070;

  --tran-03: all 0.2s ease;
  --tran-03: all 0.3s ease;
  --tran-04: all 0.3s ease;
  --tran-05: all 0.3s ease;
}

.clickStyle {
  color: var(--primary-color);
}

.avatar-img {
  height: 120px;
  width: 120px;
}

/* popup by disha from legal Crm 20-09-2024 */
.popup_modal {
  background: white;
  padding: 13px 30px 20px;
}

.popup_modal .btn_popup {
  height: 28px;
  align-items: center;
  display: flex;
  line-height: normal;
  font-size: 20px;
  position: absolute;
  right: 15px;
  top: 13px;
  padding: 0px 7px;
  border: none;
  background: transparent;
  border-radius: 50px;
  color: white;
}

.popup_modal .btn_popup span {
  line-height: 21px;
  height: 26px;
}

.modal-content {
  margin-top: 140px !important;
}

.sc_modal .modal-body {
  text-align: center;
  padding: 30px;
}

.sc_modal h4 {
  font-size: 22px;
  font-weight: 500;
  color: rgb(0, 0, 0);
  margin-bottom: 10px;
}

.sc_modal .modal-body ul {
  padding: 0px;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 20px;
}

.sc_modal .modal-body ul>li:first-child {
  margin-right: 13px;
}

.add_wrap {
  padding: 15px 17px;
  background: var(--primary-color);
  margin: 0 0 15px;
}

.main_heading {
  justify-content: space-between !important;
  /* width: max-content; */
  display: flex;
}

.main_heading h2 {
  margin: 0px;
  font-size: 18px;
  font-weight: 500;
  border-left: none;
  padding: unset;
  color: white;
}

.dashed_popup {
  border-bottom: 1px dashed red;
  padding: 25px 0px 0px;
}

.dashed_popup:last-child {
  border: none;
}

.form_flex .form-group {
  width: 100%;
  margin: 0px 0px 5px 0;
}

.white-bg-cd .form_flex {
  justify-content: space-between;
}

.white-bg-cd .form_flex .d-flex {
  align-items: center;
  width: 33%;
}

.white-bg-cd .form_flex .d-flex span {
  margin-left: 5px;
}

.white-bg-cd .form_flex .d-flex h4 {
  color: var(--primary-color);
}

.form_flex .col-md-6 {
  padding: 0px;
}

.form_flex {
  display: flex;
  gap: 20px;
  align-items: self-start;
  margin: 0 0 10px;
}

.form-group h4 {
  display: flex;
  gap: 20px;
  align-items: self-start;
  font-size: 14px;

}

.form-group h4 span {
  text-transform: capitalize;
  font-weight: 650;
}

/* Details Page 21-09-2024 */


.pageBody {
  padding: 15px 15px 15px 15px;
  background: #f8faff;
  flex-grow: 1;
  min-height: 100%;
  display: flex;
  overflow: hidden;
  margin-top: 34px !important;
}

.pageContent {
  width: 100%;
  border-radius: 10px;
  padding: 20px;
  background: #fff;

}

.PageTitle {
  margin: 0 0 15px 0;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.PageTitle h3 {
  font-size: x-large;
  color: var(--primary-color);
}

.PageTitle a {

  border: none;
}

.caseDetail {

  margin: 0 0 30px 0;

  gap: 10px 15px;

  display: flex;

  flex-wrap: wrap;
}

.uppercase-header button {
  background: #32438e;
  border: 1px solid #f7cf18;
  width: 20%;
  padding: 10px 24px;
  margin: 0 0 12px;
  font-size: 14px;
  color: white;
  font-weight: 200;
}

.caseDetail .form-group {

  margin: 0;
  padding: 0 0 10px 0;
  border-bottom: 1.5px dashed #bcccf5;
  width: 32%;
}

.caseDetail .form-group h4 {
  font-weight: 500;
  line-height: 16px;
  font-size: 12px;
  color: var(--primary-color);
}

.caseDetail .form-group p {
  font-weight: 500;
  margin: 0px 0 0 0;
}

@media screen and (min-width: 1600px) {
  .caseMobile .form-group1 {
    width: 20% !important;
  }
}

@media screen and (max-width: 1599px) {
  .caseMobile .form-group1 {
    width: 23% !important;
  }

}


@media screen and (max-width: 1199px) {
  .caseMobile .form-group1 {
    width: 29% !important;
  }

}

@media screen and (max-width: 991px) {
  .caseMobile .form-group1 {
    width: 48% !important;
  }
}

.mr-20 {
  margin-right: 30px !important;
}

.legalLoader {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
  /* Full height */
  font-size: 24px;
}

.caseDetail .form-group1 {
  margin: 0;
  padding: 0 0 10px 0;
  border-bottom: 1.5px dashed #bcccf5;
}

.caseDetail .form-group1 h4 {
  font-weight: 500;
  line-height: 16px;
  font-size: 12px;
  color: var(--primary-color);
}

.caseDetail .form-group1 p {
  font-weight: 500;
  margin: 0px 0 0 0;
}

.docA {
  font-size: 14px;
  background-color: var(--primary-color);
  color: white;
  text-decoration-line: none;
  padding: 3px 9px;
  border-radius: 13px;
}

.authorizeDiv {
  display: flex;
  justify-content: space-evenly;
}

.filterBox {
  margin-top: 32px;
}

.mySarfaesispan {
  display: flex;
  width: 228px;
}

.star {
  font-size: 24px;
  /* Adjust size as needed */
  color: gold;
  /* Color for the filled stars */
}

.star.empty {
  color: lightgray;
  /* Color for the empty stars */
}

.otp-red {
  color: red;
  font-weight: bolder !important;
}

.myBox {
  color: rgb(0, 0, 0) !important;
  box-shadow: 0px 3px 1px -2px rgba(0, 0, 0, 0.2),
    0px 2px 2px 0px rgba(0, 0, 0, 0.14),
    0px 1px 5px 0px rgba(0, 0, 0, 0.12);
}

.myBox.active {
  background-color: #32438e !important;
  color: rgb(255, 255, 255) !important;
}

.body-btn1 {
  display: flex;
  justify-content: center;
}

.reloadIcon {
  font-size: 34px;
  padding: 4px 16px;
}

.mypicdiv {
  margin: 0;
  padding: 0 0 10px 0;
  border-bottom: 1.5px dashed #bcccf5;
  width: 100% !important;
}

.input-mention-aadhar {
  background: #cdcdcd !important;
}

.myaccDiv {
  margin-bottom: 25px;
}

.MuiAccordionDetails-root {
  display: 'block';
}

.mybuttonDiv {
  text-align: right;
  top: -70px;
  position: relative;
}

.MuiAccordionDetails-root {
  display: block !important;
}

.MuiAccordionSummary-root {
  background-color: #32438e !important;
  color: #fff !important;
}


.btn-disabled {
  opacity: 0.5;
  pointer-events: none;
}

.subheadingDiv {
  padding: 0px 0px 12px 0px;
}

/* .pageContent1{
  width: 100%;
  border-radius: 10px;
  padding: 20px;
  background:#e9e9e9;
  border: 1px solid black;
} */
.pageContent1 {
  width: 100%;
  border-radius: 10px;
  padding: 20px;
  background: #ffffff;
  /* New background color for all elements */
  border: 1px solid black;
}

.content1 {
  background: #ecf7ffb8;
  /* Soft coral */
  border: 1px solid #32438e;
}

.content2 {

  /* Light peach */

  background: #f5fff7b8;

  border: 1px solid #32438e;
}

.content3 {

  /* Pastel orange */

  background: #dafffa82;

  border: 1px solid #32438e;
}

.content4 {

  /* Soft lavender */

  background: #fff8e5;

  border: 1px solid #32438e;
}

.content5 {

  /* Soft sky blue */

  background: #f9eaffb8;

  border: 1px solid #32438e;
}



/* 404ErrorPage.css */
.error-container {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
  background-color: #f8f9fa;
  font-family: Arial, sans-serif;
}

.error-content {
  text-align: center;
  max-width: 600px;
  padding: 20px;
  background-color: #fff;
  border-radius: 8px;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
}

.error-code {
  font-size: 6rem;
  font-weight: bold;
  color: #dc3545;
}

.error-message {
  font-size: 1.5rem;
  color: #343a40;
  margin-top: 10px;
}

.suggestions {
  font-size: 1.1rem;
  margin-top: 20px;
}

.suggestion-list {
  list-style-type: none;
  padding: 0;
}

.suggestion-list li {
  margin: 10px 0;
}

.suggestion-list a {
  color: #007bff;
  text-decoration: none;
}

.suggestion-list a:hover {
  text-decoration: underline;
}

.error-footer {
  margin-top: 30px;
  font-size: 1rem;
  color: #6c757d;
}

.loanTitle {
  font-weight: 500 !important;
  line-height: 16px !important;
  font-size: 14px !important;

}

.documentDetailsGrid {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 20px;
}

.Buuton_sepratefile {
  display: flex;
  gap: 10px;
  width: 100%;
}

.seprate_panel {
  display: block;
}

.seprate_panel .caseDetail {
  display: block;
}

.agency_upload {
  width: 63% !important;
}

.mydetaildiv {}

/* SuccessBar.css */

.progress-container {
  width: 92%;
  margin: 32px 0;
  text-align: center;
}

.success-bar {
  display: flex;
  margin-bottom: 0px;
  position: relative;
  flex-wrap: wrap;
  gap: 24px;
}

.stage {
  width: 100px;
  padding: 10px;
  font-size: 10px;
  height: 100px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  border: 2px solid #ccc;
  margin: 0 9px;
  font-weight: bold;
  color: #fff;
  transition: background-color 0.3s ease, color 0.3s ease, transform 0.3s ease;
  position: relative;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  cursor: pointer;
  background-image: linear-gradient(to top left, rgba(255, 255, 255, 0.2), rgba(0, 0, 0, 0.1));
}

.stage span {
  z-index: 1;
  font-size: 8px;
  font-weight: 400;
}

.completed {
  background-color: #000000;
  color: white;
  transform: translateY(-10px);
  box-shadow: 0 6px 12px rgba(0, 0, 0, 0.2);
}

.current {
  background-color: #31c137;
  color: white;
  transform: translateY(-10px);
  box-shadow: 0 6px 12px rgba(0, 0, 0, 0.3);
}

.upcoming {
  background-color: #ff1c0c;
  color: white;
  transform: translateY(-10px);
  box-shadow: 0 6px 12px rgba(0, 0, 0, 0.2);
}

/* Optional: Add a line connecting the stages */
.success-bar::after {
  content: '';
  position: absolute;
  top: 50%;
  left: 0;
  width: calc(100% - 160px);
  /* Adjust line to fit between stages */
  height: 4px;
  background-color: #ccc;
  transform: translateY(-50%);
  z-index: -1;
}

/* Arrow-like effect for line between stages */
.stage:not(:last-child)::after {
  content: '';
  position: absolute;
  top: 50%;
  right: -5px;
  width: 12px;
  height: 2px;
  background-color: #ccc;
  transform: translateY(-50%);
}

.stage:hover {
  transform: translateY(-2px);
  box-shadow: 0 8px 16px rgba(0, 0, 0, 0.3);
  /* background-image: linear-gradient(to top left, rgba(255, 255, 255, 0.4), rgba(0, 0, 0, 0.2)); */
}

.css-45ksju-MuiTableCell-root[data-pinned="true"]:before {
  content: "" !important;
  background-color: #384992 !important;
}

.MuiTableCell-head:before {
  content: "" !important;
  background-color: #384992 !important;
}

.document-gallery {}

.docuploadflex {
  display: flex;
  gap: 1px;
  flex-wrap: wrap;
}

.gallery-images {
  width: 28%;
  background: #f5f5f5;
}

.gallery-images img {
  width: 100% !important;
  /* height: 340px !important; */
  object-fit: cover;
  padding: 11px;
}

.Detailsrow {
  width: 100% !important;
}

.detailsTable {}

.formwrapdoc {
  display: grid;
  grid-template-columns: repeat(3, 2fr);
  gap: 15px;
  justify-content: space-between;
  width: 100%;
}

.card-list  {
  justify-content: space-around;
  flex-wrap: wrap;
}

/* Upload enforcement work */
 
.task-details-page {
  padding: 20px;
}
 
.custom-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 16px;
}
 
.custom-grid-item {
  display: flex;
  flex-direction: column;
  padding: 10px;
  border: 1px solid #ddd;
  border-radius: 8px;
  background: #f9f9f9;
}
 
.custom-label {
  font-weight: bold;
  margin-bottom: 4px;
  font-size: 16px;
}
 
.custom-value {
  font-size: 14px;
  display: flex;
  gap: 6px;
}
 
.custom-value p {
  width: 130px;
  cursor: pointer;
}
 
.custom-value span {
  margin-top: 10px;
}
 
.hidden-input {
  display: none;
}
 
.date-input {
  padding: 5px;
}
 
.action_column {
  cursor: pointer;
  display: flex;
  color: #32438e;
}
 
.input-mention-aadhar {
  background: #cdcdcd !important;
}
 
.reloadIcon {
  font-size: 34px;
  padding: 4px 16px;
  cursor: pointer;
}
 
.margin_top {
  margin-top: -50px !important;
  padding: 5px 15px !important;
  height: 29px;
}
 
.uploadtwo {
  display: flex;
}
 
.otp-red {
    color: red;
    font-weight: bolder !important;
}
 
.uppercase-header img {
    border-radius: 6px;
    width: 288px;
    height: 191px;
}
 
.document_show {
    display: flex;
    gap: 10px;
}